function onBegin()
	makeUnskippable()
	disableMovement()
	walk(-72)
	wait(1)
	player.DummyAutoAnimate = false -- Let us play non-default animations
	player.Sprite:Play("sitDown") -- Sit down(1)
	wait(4)
	helpers.teleportTo (56, 168, "c_3_heart", "wakeUp")
end

function onEnd()
	enableMovement()
end